# Uses of Interface
java.lang.Appendable

Packages that use Appendable
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.nio
Defines buffers, which are containers for data, and provides an overview of the other NIO packages.
java.rmi.server
Provides classes and interfaces for supporting the server side of RMI.
java.time.format
Provides classes to print and parse dates and times.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.

## Uses of Appendable in java.io

Classes in java.io that implement Appendable
Modifier and Type
Class
Description
`class`
`BufferedWriter`
Writes text to a character-output stream, buffering characters so as to provide for the efficient writing of single characters, arrays, and strings.
`class`
`CharArrayWriter`
This class implements a character buffer that can be used as a Writer.
`class`
`FileWriter`
Writes text to character files using a default buffer size.
`class`
`FilterWriter`
Abstract class for writing filtered character streams.
`class`
`OutputStreamWriter`
An OutputStreamWriter is a bridge from character streams to byte streams: Characters written to it are encoded into bytes using a specified `charset`.
`class`
`PipedWriter`
Piped character-output streams.
`class`
`PrintStream`
A `PrintStream` adds functionality to another output stream, namely the ability to print representations of various data values conveniently.
`class`
`PrintWriter`
Prints formatted representations of objects to a text-output stream.
`class`
`StringWriter`
A character stream that collects its output in a string buffer, which can then be used to construct a string.
`class`
`Writer`
Abstract class for writing to character streams.

## Uses of Appendable in java.lang

Classes in java.lang that implement Appendable
Modifier and Type
Class
Description
`final class`
`StringBuffer`
A thread-safe, mutable sequence of characters.
`final class`
`StringBuilder`
A mutable sequence of characters.
Methods in java.lang that return Appendable
Modifier and Type
Method
Description
`Appendable`
Appendable.`append(char c)`
Appends the specified character to this `Appendable`.
`Appendable`
Appendable.`append(CharSequence csq)`
Appends the specified character sequence to this `Appendable`.
`Appendable`
Appendable.`append(CharSequence csq, int start, int end)`
Appends a subsequence of the specified character sequence to this `Appendable`.

## Uses of Appendable in java.nio

Classes in java.nio that implement Appendable
Modifier and Type
Class
Description
`class`
`CharBuffer`
A char buffer.

## Uses of Appendable in java.rmi.server

Classes in java.rmi.server that implement Appendable
Modifier and Type
Class
Description
`class`
`LogStream`
Deprecated.
no replacement

## Uses of Appendable in java.time.format

Methods in java.time.format with parameters of type Appendable
Modifier and Type
Method
Description
`void`
DateTimeFormatter.`formatTo(TemporalAccessor temporal, Appendable appendable)`
Formats a date-time object to an `Appendable` using this formatter.

## Uses of Appendable in java.util

Methods in java.util with type parameters of type Appendable
Modifier and Type
Method
Description
`<A extends Appendable>
A`
HexFormat.`formatHex(A out, byte[] bytes)`
Appends formatted hexadecimal strings from a byte array to the `Appendable`.
`<A extends Appendable>
A`
HexFormat.`formatHex(A out, byte[] bytes, int fromIndex, int toIndex)`
Appends formatted hexadecimal strings from a byte array range to the `Appendable`.
`<A extends Appendable>
A`
HexFormat.`toHexDigits(A out, byte value)`
Appends two hexadecimal characters for the byte value to the `Appendable`.
Methods in java.util that return Appendable
Modifier and Type
Method
Description
`Appendable`
Formatter.`out()`
Returns the destination for the output.
Constructors in java.util with parameters of type Appendable
Modifier
Constructor
Description
``
`Formatter(Appendable a)`
Constructs a new formatter with the specified destination.
``
`Formatter(Appendable a, Locale l)`
Constructs a new formatter with the specified destination and locale.